<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="transportForm">
            <p:growl id="msgs" showDetail="true"/> 
            <h:outputText 
                value="#{detalleMB.pallet.valor1}"
                style="font-weight: bold"/>
            <p:panel header="Mostrar Detalle de Pallet ">
                <p:layout style="min-width:800px;min-height:280px;">
                    <p:layoutUnit position="west" resizable="false" size="205" minSize="40" maxSize="205"> 
                        <p:barcode  value="#{detalleMB.pallet.numero}" type="qr"  height="200px" width="200px"/>
                    </p:layoutUnit>
                    <p:layoutUnit position="center">
                        <h:panelGroup id="detalleTransporte">  
                            <h:panelGrid columns="2" >
                                <p:column>
                                    <p:inputText value="#{detalleMB.pallet.id}" id="id" type="hidden" />
                                </p:column> 
                                <p:column>  

                                </p:column>

                                <p:column>
                                    <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                                </p:column>
                                <p:column>
                                    <p:inputText id="id2" value="#{detalleMB.pallet.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                                </p:column> 
                                <p:column>
                                    <h:outputLabel for="cajas" value="# Cajas : " style="font-weight: bold" />
                                </p:column>
                                <p:column>
                                    <p:inputText id="cajas" value="#{detalleMB.pallet.cajas}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                                </p:column>

                                <p:column>
                                    <h:outputLabel for="ctarima" value="Cat Tarima: " style="font-weight: bold"/>
                                </p:column>
                                <p:column> 

                                    <p:selectOneMenu id="ctarima"  value="#{detalleMB.pallet.idtarima}"
                                                     filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                     required="true" requiredMessage="La clave es requerida" style="width: 350px"  disabled="true">
                                        <f:selectItem itemLabel="Selecciona una opción"  />
                                        <f:selectItems value="#{palletMB.cat_tarima}"
                                        var="registrop"
                                        itemLabel="[#{registrop.id}]  .-  #{registrop.nombre}"
                                        itemValue="#{registrop.id}"/>
                                    </p:selectOneMenu> 
                                </p:column>

                                <p:column>
                                    <h:outputLabel for="cmarca" value="Cat Marca: " style="font-weight: bold"/>
                                </p:column>
                                <p:column> 

                                    <p:selectOneMenu id="cmarca"  value="#{detalleMB.pallet.idmarca}"
                                                     filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                     required="true" requiredMessage="La clave es requerida" style="width: 350px"  disabled="true">
                                        <f:selectItem itemLabel="Selecciona una opción"  />
                                        <f:selectItems value="#{palletMB.cat_marca}"
                                        var="registrop"
                                        itemLabel="[#{registrop.id}]  .-  #{registrop.nombre} "
                                        itemValue="#{registrop.id}"/>
                                    </p:selectOneMenu> 
                                </p:column>

                                <p:column>
                                    <h:outputLabel for="ctransporte" value="Cat Transporte: " style="font-weight: bold"/>
                                </p:column>
                                <p:column> 

                                    <p:selectOneMenu id="ctransporte"  value="#{detalleMB.pallet.idtransporte}"
                                                     filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                     required="true" requiredMessage="La clave es requerida" style="width: 350px" disabled="true">
                                        <f:selectItem itemLabel="Selecciona una opción"  />
                                        <f:selectItems value="#{palletMB.cat_transporte}"
                                        var="registrop"
                                        itemLabel="[#{registrop.id}]  .-  #{registrop.numero} "
                                        itemValue="#{registrop.id}"/>
                                    </p:selectOneMenu> 
                                </p:column>
                                <p:column>
                                    <h:outputLabel for="numero" value="Número : " style="font-weight: bold" />
                                </p:column>
                                <p:column>
                                    <p:inputText id="numero" value="#{detalleMB.pallet.numero}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                                </p:column>
                                <p:column>  
                                    <p:commandButton 
                                        value="Imprimir" 
                                        update="mensaje"
                                        icon="ui-icon-print"
                                        style="font-size:  100%"
                                        action="#{detalleMB.imprimir(detalleMB.pallet.id)}">                        
                                    </p:commandButton>
                                </p:column>
                                <p:column>
                                    <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                                </p:column>
                            </h:panelGrid> 
                            
                            
                        </h:panelGroup> 
                    </p:layoutUnit> 
                </p:layout>
                <p:separator />
                <p:dataTable id="cars1" widgetVar="cars1" var="car" value="#{detalleMB.detalle}" editable="true" style="margin-bottom:20px ; width: 98%" 
                    paginator="true"
                    rows="10" 
                    emptyMessage="No se encontraron Registros"
                    paginatorPosition="bottom">
                    <f:facet name="header">
                        Registros detalle de Pallet
                    </f:facet>

                    <p:ajax event="rowEdit" listener="#{detalleMB.onRowEdit}" update=":transportForm:msgs" />
                    <p:ajax event="rowEditCancel" listener="#{detalleMB.onRowCancel}" update=":transportForm:msgs" />

                    <p:column headerText="Id">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{car.id}" /></f:facet> 
                            <f:facet name="input"><p:inputText id="modelInput1" value="#{car.id}" type="hidden"  /></f:facet>
                            <f:facet name="input"><p:inputText id="modelInput" value="#{car.id}" readonly="true" style="width:100%"/></f:facet>
                        </p:cellEditor>
                    </p:column>
                    <p:column headerText="Cajas">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{car.cajas}" /></f:facet>
                            <f:facet name="input"><p:inputText    id="modelInput2" value="#{car.cajas}" style="width:100%"/></f:facet>
                        </p:cellEditor>
                    </p:column>
                    <p:column headerText="CDI">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{car.cdi}" /></f:facet>
                            <f:facet name="input"><p:inputText  id="modelInput3"  value="#{car.cdi}" style="width:100%"/></f:facet>
                        </p:cellEditor>
                    </p:column>

                    <p:column headerText="Calidad">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{car.calidad}" /></f:facet>
                            <f:facet name="input">
                                <h:selectOneMenu value="#{car.calidad}" style="width:100%">
                                    <f:selectItems value="#{detalleMB.service.calidad }" var="man" itemLabel="#{man}" itemValue="#{man}" />
                                </h:selectOneMenu>
                            </f:facet>
                        </p:cellEditor>
                    </p:column>

                    <p:column headerText="Calibre">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{car.calibre}" /></f:facet>
                            <f:facet name="input">
                                <h:selectOneMenu value="#{car.calibre}" style="width:100%">
                                    <f:selectItems value="#{detalleMB.service.calibre}" var="man" itemLabel="#{man}" itemValue="#{man}" />
                                </h:selectOneMenu>
                            </f:facet>
                        </p:cellEditor>
                    </p:column>
                    
                    <p:column headerText="Activo">
                        <p:cellEditor>
                            <f:facet name="output"><h:outputText value="#{car.activo}" /></f:facet>
                            <f:facet name="input">
                                <h:selectOneMenu value="#{car.activo}" style="width:100%">
                                    <f:selectItems value="#{detalleMB.service.activo}" var="man" itemLabel="#{man}" itemValue="#{man}" />
                                </h:selectOneMenu>
                            </f:facet>
                        </p:cellEditor>
                    </p:column>


                    <p:column style="width:32px">
                        <p:rowEditor /> 
                    </p:column>
                </p:dataTable>

                <div class="ui-g">
                     <div class="ui-g-12">
                         <p:commandButton value="Anexar Descripción" process="@this"  update=":transportForm:msgs,:transportForm:cars1"
                                       actionListener="#{detalleMB.onAddNew()}"  
                                       icon="ui-icon-circle-plus" oncomplete="PF('cars1').addRow();"/>
                     </div>
                </div>
            </p:panel>  
        </h:form>
    </ui:define>  
</ui:composition>   
